Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.i18n
Class RDBMLocaleStore

    java.lang.Object
      org.jasig.portal.i18n.RDBMLocaleStore

All Implemented Interfaces:
  ILocaleStore

    public class RDBMLocaleStore

extends java.lang.Object
implements ILocaleStore

Database implementation of locale storage interface.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`RDBMLocaleStore()`

Method Summary
`java.util.Locale[]` | `getUserLocales(IPerson person)` Retrieves the locale preferences for a particular user.
`void` | `updateUserLocales(IPerson person, java.util.Locale[] locales)` Persists the locale preferences for a particular user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### RDBMLocaleStore

    public RDBMLocaleStore()

Method Detail

### getUserLocales

    public java.util.Locale[] getUserLocales(IPerson person)
                                      throws java.lang.Exception

  Description copied from interface: `ILocaleStore`
  Retrieves the locale preferences for a particular user.

  Specified by:
    `getUserLocales` in interface `ILocaleStore`
  Parameters:
    `person` - the user
  Returns:
    the user's locale preferences
  Throws:
    `java.lang.Exception`

### updateUserLocales

    public void updateUserLocales(IPerson person,
                                  java.util.Locale[] locales)
                           throws java.sql.SQLException

  Description copied from interface: `ILocaleStore`
  Persists the locale preferences for a particular user.

  Specified by:
    `updateUserLocales` in interface `ILocaleStore`
  Parameters:
    `person` - the user
    `locales` - the user's new locale preferences
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD